com.impinj.octane

## Enum SequenceState

- java.lang.Object
- - java.lang.Enum<SequenceState>
  - - com.impinj.octane.SequenceState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SequenceState>

      public enum SequenceState
      extends java.lang.Enum<SequenceState>
      implements java.io.Serializable

  Enumeration for defining the operation state for a sequence. A tag operation sequence is a set of operations to perform on a tag.
  See Also:
    `TagOpSequence`, `ImpinjReader.addOpSequence(TagOpSequence)`, `ImpinjReader.enableOpSequence(int)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active` Indicates that all sequence operations are active.
    `Disabled` Indicates that all sequence operations are disabled.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static SequenceState` | `valueOf(int sequenceStateValue)`
    `static SequenceState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SequenceState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final SequenceState Disabled

      Indicates that all sequence operations are disabled.

    - #### Active

          public static final SequenceState Active

      Indicates that all sequence operations are active.

  - ### Method Detail

    - #### values

          public static SequenceState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SequenceState c : SequenceState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SequenceState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static SequenceState valueOf(int sequenceStateValue)

      Parameters:
        `sequenceStateValue` - integer value
      Returns:
        the enumeration object corresponding to this integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value for the enumeration